Subject: Re: bug#17598: Emacs pretest 24.3.91 - AIX - SIGSEV when customize

From: Eli Zaretskii <[email-masked]>
Date: Sat, 31 May 2014 16:30:24 +0300

> Date: Fri, 30 May 2014 14:39:50 -0700
> From: Paul Eggert <[email-masked]>
> Cc: [email-masked]
> 
> On 05/30/2014 07:57 AM, Gilles PION wrote:
> > Note that, with this latest build, I've been unable to have "temacs" 
> > crash yet, when run without malloc debug env variables .
> 
> This suggests that it's related to memory allocation somehow, sigh.
> 
> On the off-chance that it's also related to the code that the compiler 
> generates, I installed changes into the emacs-24 branch to get 'xlc' 
> working again on 32-bit AIX.  If you have access to xlc, please try 
> './configure CC=xlc' from the latest emacs-24 branch (and without any 
> other patches).

The changes to lisp.h intended to enhance debugging on AIX broke
debugging when GCC 3.x is used to compile the code: I get "No symbol
"VALMASK" in current context." when xbacktrace is invoked.

So I reverted that part of the changes.  I hope there's a way to
define the relevant macros only for AIX, so that other platforms
aren't affected, certainly not during the pretest.